#pragma once

#include <Core/Common/CoreTypes.h>

namespace Game
{
    using EntityID = uint64_t;

    struct Entity;
    struct EntityManager
    {
        static EntityID ID;
        // May be this should contains the allocator for each entity types
    };

    void           InitEntityManager();
    EntityManager& GetEntityManager();
    void           RegisterEntity(EntityManager& manager, Entity* entity);
} // namespace Game
